Package be.fgov.ehealth.daas.commons.v2

# Class PeriodType

java.lang.Object
be.fgov.ehealth.daas.commons.v2.PeriodType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:10:45+02:00", comments="JAXB RI v4.0.5") public class PeriodType extends Object implements Serializable
Period in time.

Java class for PeriodType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PeriodType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <choice minOccurs="0">
               <element name="StartDate" type="{http://www.w3.org/2001/XMLSchema}date"/>
               <element ref="{urn:be:fgov:ehealth:daas:complextype:v1}StartDate"/>
             </choice>
             <choice minOccurs="0">
               <element name="EndDate" type="{http://www.w3.org/2001/XMLSchema}date"/>
               <element ref="{urn:be:fgov:ehealth:daas:complextype:v1}EndDate"/>
             </choice>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PeriodType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Instant`
  `getEndDate01()`
  Gets the value of the endDate01 property.
  `Instant`
  `getEndDate02()`
  Gets the value of the endDate02 property.
  `Instant`
  `getStartDate01()`
  Gets the value of the startDate01 property.
  `Instant`
  `getStartDate02()`
  Gets the value of the startDate02 property.
  `void`
  `setEndDate01(Instant value)`
  Sets the value of the endDate01 property.
  `void`
  `setEndDate02(Instant value)`
  Sets the value of the endDate02 property.
  `void`
  `setStartDate01(Instant value)`
  Sets the value of the startDate01 property.
  `void`
  `setStartDate02(Instant value)`
  Sets the value of the startDate02 property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PeriodType

    public PeriodType()

- ## Method Details

  - ### getStartDate02

    public Instant getStartDate02()
    Gets the value of the startDate02 property.
    Returns:
      possible object is `String`

  - ### setStartDate02

    public void setStartDate02(Instant value)
    Sets the value of the startDate02 property.
    Parameters:
      `value` - allowed object is `String`

  - ### getStartDate01

    public Instant getStartDate01()
    Gets the value of the startDate01 property.
    Returns:
      possible object is `String`

  - ### setStartDate01

    public void setStartDate01(Instant value)
    Sets the value of the startDate01 property.
    Parameters:
      `value` - allowed object is `String`

  - ### getEndDate02

    public Instant getEndDate02()
    Gets the value of the endDate02 property.
    Returns:
      possible object is `String`

  - ### setEndDate02

    public void setEndDate02(Instant value)
    Sets the value of the endDate02 property.
    Parameters:
      `value` - allowed object is `String`

  - ### getEndDate01

    public Instant getEndDate01()
    Gets the value of the endDate01 property.
    Returns:
      possible object is `String`

  - ### setEndDate01

    public void setEndDate01(Instant value)
    Sets the value of the endDate01 property.
    Parameters:
      `value` - allowed object is `String`